Gecode::Iter::Ranges::RangeListIter::RLIO Class Reference

Shared object for allocation. More...

`#include <ranges-list.hpp>`

## Public Member Functions

| RLIO (Region &r)
| Initialize.
Public Member Functions inherited from Gecode::Support::BlockAllocator< RangeList, Region >
| BlockAllocator (Region &a)
| Initialize.
| ~BlockAllocator (void)
| Free all allocated blocks.
Region & | allocator (void)
| Return allocator used.
RangeList * | operator() (void)
| Return memory of size required by T.
size_t | size (void) const
| Return size of memory required by allocator.

## Public Attributes

unsigned int | use_cnt
| Counter used for reference counting.

## Detailed Description

Shared object for allocation.

Definition at line 52 of file ranges-list.hpp.

## Constructor & Destructor Documentation

## RLIO()

Gecode::Iter::Ranges::RangeListIter::RLIO::RLIO | ( | Region & | r | ) |

inline

Initialize.

Definition at line 123 of file ranges-list.hpp.

## Member Data Documentation

## use_cnt

unsigned int Gecode::Iter::Ranges::RangeListIter::RLIO::use_cnt

Counter used for reference counting.

Definition at line 55 of file ranges-list.hpp.

The documentation for this class was generated from the following file:

- gecode/iter/ranges-list.hpp